Results 1 to 4 of 4

Thread: Broadcom BCM43227 / Acer Aspire 7750

  1. #1
    Join Date
    Sep 2013
    Beans
    3

    Broadcom BCM43227 / Acer Aspire 7750

    Acer aspire 7750 no wifi but cable works

    Code:
    #!/bin/bash#
    # Copyright (c) 2012
    #
    # Authors: Wild Man, Krytarik
    # Helpers: anewguy, chili555, llua
    #
    # This script gathers the infos necessary for troubleshooting a wireless
    # connection and saves them in a text file, wrapping it in an archive if it
    # exceeds the size limit of 19.5 kB for .txt files on the Ubuntu Forums.
    #
    ############################################################################
    #
    # This program is free software: you can redistribute it and/or modify
    # it under the terms of the GNU General Public License as published by
    # the Free Software Foundation, either version 3 of the License, or
    # (at your option) any later version.
    #
    # This program is distributed in the hope that it will be useful,
    # but WITHOUT ANY WARRANTY; without even the implied warranty of
    # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    # GNU General Public License for more details.
    #
    # You should have received a copy of the GNU General Public License
    # along with this program.  If not, see <http://www.gnu.org/licenses/>.
    #
    
    
    FILEBASE="wireless-info"
    MODMATCHES="(air|ath|carl|at7|iwl|ipw|rtl8|rt2|rt3|rt5|rt6|rt7|rtl|r818|r871|ssb|wl|b43|bcma|brcm|eth1|ndis|wlan0|firm|etork)[^[:punct:] ]*"
    exec 3>&1 4>&2
    exec 1> $FILEBASE.txt 2> /dev/null
    if [ "$?" != "0" ]; then
        printf "\nCould not write target file \"$FILEBASE.txt\", aborting.\n\n"
        exit 1
    fi
    printf "\n*************** info trace ***************\n"
    printf "\n***** uname -a *****\n\n"
    uname -a
    printf "\n***** lsb_release *****\n\n"
    lsb_release -idrc
    printf "\n***** lspci *****\n\n"
    lspci -nnk | grep -iA2 net
    printf "\n***** lsusb *****\n\n"
    lsusb
    printf "\n***** PCMCIA Card Info *****\n\n"
    pccardctl info
    printf "\n***** iwconfig *****\n\n"
    iwconfig
    printf "\n***** rfkill *****\n\n"
    rfkill list all
    printf "\n***** lsmod *****\n\n"
    lsmod | egrep "(^|[[:punct:] ])${MODMATCHES}([[:punct:] ]|$)"
    printf "\n***** nm-tool *****\n"
    nm-tool
    printf "\n***** NetworkManager.state *****\n"
    cat /var/lib/NetworkManager/NetworkManager.state
    printf "\n***** NetworkManager.conf *****\n\n"
    grep -v '^#' /etc/NetworkManager/NetworkManager.conf
    if [ -f /etc/NetworkManager/nm-system-settings.conf ]; then
        printf "nm-system-settings.conf (used up to 10.04):\n"
        grep -v '^#' /etc/NetworkManager/nm-system-settings.conf
    fi
    printf "\n***** interfaces *****\n\n"
    cat /etc/network/interfaces | sed -r 's/wpa-psk [[:graph:]]+/wpa-psk <WPA key removed>/'
    printf "\n***** iwlist *****\n\n"
    if [ -t 0 ]; then
        sudo iwlist scan || echo "Aquiring of root rights failed."
    elif [ -x /usr/bin/gksudo ]; then
        gksudo iwlist scan || echo "Aquiring of root rights failed."
    elif [ -x /usr/bin/kdesudo ]; then
        kdesudo iwlist scan || echo "Aquiring of root rights failed."
    else
        echo "No way to aquire root rights found."
    fi
    printf "\n***** resolv.conf *****\n\n"
    grep -v '^#' /etc/resolv.conf
    printf "\n***** blacklist *****\n"
    for CONFFILE in /etc/modprobe.d/*.conf; do
        if [[ -n $(egrep -v '/etc/modprobe.d/(alsa-base|blacklist-(firewire|framebuffer|modem|oss|watchdog)|fglrx|nvidia)' <<< $CONFFILE) ]]; then
        BLACKLIST=$(grep '^blacklist' $CONFFILE)
        if [ -n "$BLACKLIST" ]; then
            printf "\n[%s]\n%s\n" $CONFFILE "$BLACKLIST"
        fi
        fi
    done
    printf "\n***** modinfo *****\n\n"
    MODULNAMES=$(lsmod | egrep "^$MODMATCHES" | awk '{print $1}')
    for MODULE in $MODULNAMES; do
        modinfo $MODULE
        echo
    done
    printf "\n***** udev rules *****\n"
    egrep '^(#.*device|[^#]|$)' /etc/udev/rules.d/70-persistent-net.rules
    printf "\n***** dmesg *****\n\n"
    dmesg | egrep "[[:punct:] ]${MODMATCHES}[[:punct:] ]"
    printf "\n****************** done ******************\n\n"
    exec 1>&3 3>&-
    exec 2>&4 4>&-
    sed -r -i 's/([[:alnum:]][[:alnum:]]:){5}[[:alnum:]][[:alnum:]]/<MAC address removed>/' $FILEBASE.txt
    if [ $(stat -c %s $FILEBASE.txt) -gt 19968 ]; then
        tar -czf $FILEBASE.tar.gz $FILEBASE.txt
        rm -f $FILEBASE.txt
        printf "\nResults archived in \"%s.tar.gz\", as they exceed the 19.5 kB size limit for .txt files on the Ubuntu Forums.\n\n" "$FILEBASE"
    else
        printf "\nResults saved in \"%s.txt\".\n\n" "$FILEBASE"
    fi

  2. #2
    Join Date
    Mar 2010
    Location
    India
    Beans
    7,692
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Help with ASUS laptop wireless

    Hi neil4, and Welcome to the forums !

    The above one is the script itself, not the result it is supposed to create.

    Pleas re-read the post #2 and run the script as mentioned in the post. It will create a file "wireless-info.txt" (or wireless-info.txt.tar.gz) that you have to post back.
    Varun
    Help others by marking threads as [SOLVED], if they are. (See how)
    Wireless Script | Use Code Tags

  3. #3
    Join Date
    Sep 2013
    Beans
    3

    Re: Acer laptop wireless not working

    Sorry about that I'm new to Ubuntu too
    Code:
    *************** info trace ***************
    
    
    ***** uname -a *****
    
    
    Linux Neil 3.8.0-30-generic #44~precise1-Ubuntu SMP Fri Aug 23 18:32:41 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
    
    
    ***** lsb_release *****
    
    
    Distributor ID:	Ubuntu
    Description:	Ubuntu 12.04.3 LTS
    Release:	12.04
    Codename:	precise
    
    
    ***** lspci *****
    
    
    02:00.0 Ethernet controller [0200]: Qualcomm Atheros AR8151 v2.0 Gigabit Ethernet [1969:1083] (rev c0)
    	Subsystem: Acer Incorporated [ALI] Device [1025:050e]
    	Kernel driver in use: atl1c
    --
    03:00.0 Network controller [0280]: Broadcom Corporation BCM43227 802.11b/g/n [14e4:4358]
    	Subsystem: Foxconn International, Inc. Device [105b:e040]
    	Kernel modules: bcma
    
    
    ***** lsusb *****
    
    
    Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
    Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
    Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
    Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
    Bus 001 Device 003: ID 064e:c21c Suyin Corp. 
    Bus 002 Device 003: ID 046d:c52b Logitech, Inc. Unifying Receiver
    
    
    ***** PCMCIA Card Info *****
    
    
    
    
    ***** iwconfig *****
    
    
    
    
    ***** rfkill *****
    
    
    0: acer-wireless: Wireless LAN
    	Soft blocked: no
    	Hard blocked: no
    
    
    ***** lsmod *****
    
    
    
    
    ***** nm-tool *****
    
    
    NetworkManager Tool
    
    
    State: connected (global)
    
    
    - Device: eth0  [Wired connection 1] -------------------------------------------
      Type:              Wired
      Driver:            atl1c
      State:             connected
      Default:           yes
      HW Address:        <MAC address removed>
    
    
      Capabilities:
        Carrier Detect:  yes
        Speed:           100 Mb/s
    
    
      Wired Properties
        Carrier:         on
    
    
      IPv4 Settings:
        Address:         192.168.1.28
        Prefix:          24 (255.255.255.0)
        Gateway:         192.168.1.1
    
    
        DNS:             192.168.1.1
    
    
    
    
    
    
    ***** NetworkManager.state *****
    
    
    [main]
    NetworkingEnabled=true
    WirelessEnabled=true
    WWANEnabled=true
    WimaxEnabled=true
    
    
    ***** NetworkManager.conf *****
    
    
    [main]
    plugins=ifupdown,keyfile
    dns=dnsmasq
    
    
    [ifupdown]
    managed=false
    
    
    ***** interfaces *****
    
    
    auto lo
    iface lo inet loopback
    
    
    
    
    ***** iwlist *****
    
    
    
    
    ***** resolv.conf *****
    
    
    nameserver 127.0.0.1
    
    
    ***** blacklist *****
    
    
    [/etc/modprobe.d/blacklist-ath_pci.conf]
    blacklist ath_pci
    
    
    [/etc/modprobe.d/blacklist-bcm43.conf]
    blacklist b43
    blacklist b43legacy
    blacklist ssb
    blacklist bcm43xx
    blacklist brcm80211
    blacklist brcmfmac
    blacklist brcmsmac
    blacklist bcma
    
    
    [/etc/modprobe.d/blacklist.conf]
    blacklist evbug
    blacklist usbmouse
    blacklist usbkbd
    blacklist eepro100
    blacklist de4x5
    blacklist eth1394
    blacklist snd_intel8x0m
    blacklist snd_aw2
    blacklist i2c_i801
    blacklist prism54
    blacklist bcm43xx
    blacklist garmin_gps
    blacklist asus_acpi
    blacklist snd_pcsp
    blacklist pcspkr
    blacklist amd76x_edac
    
    
    [/etc/modprobe.d/broadcom-sta-common.conf]
    blacklist b44
    blacklist b43legacy
    blacklist b43
    blacklist brcm80211
    blacklist brcmsmac
    blacklist ssb
    
    
    ***** modinfo *****
    
    
    
    
    ***** udev rules *****
    
    
    # PCI device 0x1969:/sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0 (atl1c)
    SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="<MAC address removed>", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="eth*", NAME="eth0"
    
    
    ***** dmesg *****
    
    
    [   11.759334] psmouse serio1: elantech: assuming hardware version 3 (with firmware version 0x450f01)
    
    
    ****************** done ******************

  4. #4
    Join Date
    Sep 2013
    Beans
    3

    Re: Broadcom BCM43227 / Acer Aspire 7750

    any luck?

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •